#include <stdio.h>
#include <graphics.h>

#define JEL_SUGAR 60

int main()
{
    int gd = DETECT, gm = DETECT, hibakod, aktiv_lap;
    initgraph(&gd, &gm, NULL);
    hibakod = graphresult();

    if (hibakod)
    {
        printf("Grafikus hiba: %s", grapherrormsg(hibakod));
        exit(1);
    }

    setbkcolor(WHITE);
    //cleardevice();

    int x, y;
    setcolor(BLUE);
    for (x = 0, y = getmaxy(); x <= getmaxx(); x += 10)
        line(0, 0, x, y);

    setcolor(GREEN);
    for (x = getmaxx(), y = 0; x >= 0; x -= 10)
        line(getmaxx(), getmaxy(), x, y);

    setcolor(RED);
    rectangle(getmaxx() / 4, getmaxy() / 4, 3 * getmaxx() / 4,
              3 * getmaxy() / 4);

    setfillstyle(SOLID_FILL, YELLOW);
    floodfill(getmaxx() / 2, getmaxy() / 2, RED);

    setbkcolor(YELLOW);
    settextjustify(CENTER_TEXT, TOP_TEXT);
    settextstyle(TRIPLEX_FONT, HORIZ_DIR, 4);
    outtextxy(getmaxx() / 2, getmaxy() / 4 + 2, "Turbo C");

    settextstyle(TRIPLEX_FONT, VERT_DIR, 3);
    outtextxy(getmaxx() / 4 + 2, getmaxy() / 2, "Grafika");

    circle(getmaxx() / 2, getmaxy() / 2, JEL_SUGAR);
    arc(getmaxx() / 2 - JEL_SUGAR / 2, getmaxy() / 2, 180, 0, JEL_SUGAR / 2);
    arc(getmaxx() / 2 + JEL_SUGAR / 2, getmaxy() / 2, 0, 180, JEL_SUGAR / 2);

    setfillstyle(SOLID_FILL, BLUE);
    floodfill(getmaxx() / 2 - JEL_SUGAR / 2, getmaxy() / 2, RED);

    setfillstyle(SOLID_FILL, LIGHTCYAN);
    floodfill(getmaxx() / 2 + JEL_SUGAR / 2, getmaxy() / 2, RED);

    delay(2500);
    closegraph();
    return 0;
}

